aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
Diffstat (limited to 'main')
-rw-r--r--main/abuild/0001-Revert-abuild-minor-cleanup.patch31
-rw-r--r--main/abuild/APKBUILD8
-rw-r--r--main/apcupsd/APKBUILD31
-rw-r--r--main/apcupsd/apcupsd-alpine.patch41
-rw-r--r--main/apcupsd/apcupsd.initd38
-rw-r--r--main/apk-tools/0001-version-fix-comparision-of-pre-suffixes.patch45
-rw-r--r--main/apk-tools/0001-version-index-output-to-stdout-instead-of-stderr.patch31
-rw-r--r--main/apk-tools/0002-db-fix-migration-and-pruning-of-symlinks-to-dirs.patch62
-rw-r--r--main/apk-tools/APKBUILD17
-rw-r--r--main/busybox/APKBUILD5
-rw-r--r--main/dansguardian/APKBUILD11
-rw-r--r--main/dansguardian/dansguardian-2.10.1.1-gcc44.patch37
-rw-r--r--main/nmap/APKBUILD5
13 files changed, 313 insertions, 49 deletions
diff --git a/main/abuild/0001-Revert-abuild-minor-cleanup.patch b/main/abuild/0001-Revert-abuild-minor-cleanup.patch
new file mode 100644
index 0000000000..25569b5b6d
--- /dev/null
+++ b/main/abuild/0001-Revert-abuild-minor-cleanup.patch
@@ -0,0 +1,31 @@
+From 19b2598f8a52ba8af07eb4904788d0843130b094 Mon Sep 17 00:00:00 2001
+From: Natanael Copa <ncopa@alpinelinux.org>
+Date: Tue, 27 Oct 2009 15:24:18 +0000
+Subject: [PATCH] Revert "abuild: minor cleanup"
+
+This commit seems to kill the entire repository
+
+This reverts commit 46aed95754ebeb17a3a367b3b41d0b6424fd18d9.
+---
+ buildrepo.in | 4 ++--
+ 1 files changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/buildrepo.in b/buildrepo.in
+index d719c34..c211789 100755
+--- a/buildrepo.in
++++ b/buildrepo.in
+@@ -22,9 +22,9 @@ usage() {
+
+
+ listpackages() {
++ cd "$aportsdir/$1"
+ for i in */APKBUILD; do
+- cd "$aportsdir"/$1/${i%/*}
+- abuild listpkg
++ APKBUILD=$i abuild listpkg
+ done
+ }
+
+--
+1.6.5
+
diff --git a/main/abuild/APKBUILD b/main/abuild/APKBUILD
index f3b6f23bba..fdbe5d42b9 100644
--- a/main/abuild/APKBUILD
+++ b/main/abuild/APKBUILD
@@ -2,9 +2,10 @@
pkgdesc="Script to build Alpine Packages"
pkgname=abuild
pkgver=2.0
-pkgrel=0
+pkgrel=1
url=http://git.alpinelinux.org/cgit/abuild/
source="http://git.alpinelinux.org/cgit/abuild/snapshot/abuild-$pkgver.tar.bz2
+ 0001-Revert-abuild-minor-cleanup.patch
"
depends="fakeroot file sudo pax-utils openssl apk-tools"
makedepends="openssl-dev pkgconfig"
@@ -12,9 +13,12 @@ license=GPL-2
build() {
cd "$srcdir/$pkgname-$pkgver"
+ patch -p1 -i ../0001-Revert-abuild-minor-cleanup.patch || return 1
+ make
make install DESTDIR="$pkgdir"
install -m 644 abuild.conf "$pkgdir"/etc/abuild.conf
}
-md5sums="8c915c2d87e12731a8dbee8241653a32 abuild-2.0.tar.bz2"
+md5sums="8c915c2d87e12731a8dbee8241653a32 abuild-2.0.tar.bz2
+478fa174e76501b2b37c47f2bc491559 0001-Revert-abuild-minor-cleanup.patch"
diff --git a/main/apcupsd/APKBUILD b/main/apcupsd/APKBUILD
new file mode 100644
index 0000000000..fcaef323e3
--- /dev/null
+++ b/main/apcupsd/APKBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=apcupsd
+pkgver=3.14.7
+pkgrel=0
+pkgdesc="A Daemon to control APC UPSes"
+subpackages="$pkgname-doc"
+url="http://www.apcupsd.org"
+license="GPL-2"
+depends="util-linux-ng"
+makedepends=
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
+ apcupsd.initd
+ apcupsd-alpine.patch
+ "
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ patch -p1 < ../apcupsd-alpine.patch || return 1
+
+ ac_cv_path_SHUTDOWN="/sbin/poweroff" \
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man \
+ --enable-usb
+ make || return 1
+ make DESTDIR=$pkgdir install
+ install -D -m755 "$srcdir"/apcupsd.initd "$pkgdir"/etc/init.d/apcupsd
+}
+
+md5sums="bb2f8e4fc6b2f5d7b3e236eb57b81640 apcupsd-3.14.7.tar.gz
+0798cd407de6f199d4c267036ec54c5b apcupsd.initd
+08d9cc703cdd4275d342882deed1d719 apcupsd-alpine.patch"
diff --git a/main/apcupsd/apcupsd-alpine.patch b/main/apcupsd/apcupsd-alpine.patch
new file mode 100644
index 0000000000..3f5c6965b7
--- /dev/null
+++ b/main/apcupsd/apcupsd-alpine.patch
@@ -0,0 +1,41 @@
+--- a/platforms/apccontrol.in Mon Oct 26 09:12:30 2009
++++ b/platforms/apccontrol.in Mon Oct 26 09:36:47 2009
+@@ -20,11 +20,20 @@
+
+ APCPID=@PIDDIR@/apcupsd.pid
+ APCUPSD=@sbindir@/apcupsd
+-SHUTDOWN=@SHUTDOWN@
++POWEROFF=/sbin/poweroff
++REBOOT=/sbin/reboot
+ SCRIPTSHELL=@SCRIPTSHELL@
+ SCRIPTDIR=@sysconfdir@
+-WALL=wall
++WALL=_wall
+
++_wall() {
++ local i
++ local msg=$(cat)
++ for i in /dev/pts/*; do
++ [ -c "$i" ] && echo "$msg" > $i
++ done
++}
++
+ #
+ # Concatenate all output from this script to the events file
+ # Note, the following kills the script in a power fail situation
+@@ -100,11 +109,13 @@
+ ;;
+ doreboot)
+ echo "UPS ${2} initiating Reboot Sequence" | ${WALL}
+- ${SHUTDOWN} -r now "apcupsd UPS ${2} initiated reboot"
++ echo "apcupsd UPS ${2} initiated reboot" | ${WALL}
++ $REBOOT
+ ;;
+ doshutdown)
+ echo "UPS ${2} initiated Shutdown Sequence" | ${WALL}
+- ${SHUTDOWN} -h now "apcupsd UPS ${2} initiated shutdown"
++ echo "apcupsd UPS ${2} initiated shutdown" | ${WALL}
++ $POWEROFF
+ ;;
+ annoyme)
+ echo "Power problems with UPS ${2}. Please logoff." | ${WALL}
diff --git a/main/apcupsd/apcupsd.initd b/main/apcupsd/apcupsd.initd
new file mode 100644
index 0000000000..5265347f41
--- /dev/null
+++ b/main/apcupsd/apcupsd.initd
@@ -0,0 +1,38 @@
+#!/sbin/runscript
+# Copyright 2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-power/apcupsd/files/apcupsd.init.2,v 1.1 2009/01/15 15:21:11 flameeyes Exp $
+
+INSTANCE="${SVCNAME#*.}"
+if [ -z "${INSTANCE}" ] || [ "${SVCNAME}" = "apcupsd" ]; then
+ INSTANCE="apcupsd"
+fi
+
+depend() {
+ use net
+ after firewall
+}
+
+start() {
+ rm -f /etc/apcupsd/powerfail
+
+ export SERVICE="${SVCNAME}"
+
+ ebegin "Starting APC UPS daemon"
+ start-stop-daemon \
+ --start --pidfile "/var/run/${SVCNAME}.pid" \
+ --exec /sbin/apcupsd -- \
+ -f "/etc/apcupsd/${INSTANCE}.conf" \
+ -P "/var/run/${SVCNAME}.pid"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping APC UPS daemon"
+ start-stop-daemon \
+ --stop --pidfile "/var/run/${SVCNAME}.pid" \
+ --retry TERM/5/TERM/5 \
+ --exec /sbin/apcupsd
+ eend $?
+}
+
diff --git a/main/apk-tools/0001-version-fix-comparision-of-pre-suffixes.patch b/main/apk-tools/0001-version-fix-comparision-of-pre-suffixes.patch
new file mode 100644
index 0000000000..ad42d466cc
--- /dev/null
+++ b/main/apk-tools/0001-version-fix-comparision-of-pre-suffixes.patch
@@ -0,0 +1,45 @@
+From cc4644a54e4bb92507f957832647d91f7f91c21b Mon Sep 17 00:00:00 2001
+From: Timo Teras <timo.teras@iki.fi>
+Date: Mon, 26 Oct 2009 09:33:12 +0200
+Subject: [PATCH 1/2] version: fix comparision of pre-suffixes
+
+got broke in 0b9bfa8d52ea7ec2cae562a71932a9cc6e2b9963 which
+fixed another corner case. hopefully it's good now. fixes #191.
+---
+ src/version.c | 17 ++++++++++++++---
+ 1 files changed, 14 insertions(+), 3 deletions(-)
+
+diff --git a/src/version.c b/src/version.c
+index 97b87a6..4253042 100644
+--- a/src/version.c
++++ b/src/version.c
+@@ -207,12 +207,23 @@ int apk_version_compare_blob(apk_blob_t a, apk_blob_t b)
+ if (av > bv)
+ return APK_VERSION_GREATER;
+
+- /* at and bt are the next expected token type */
++ /* both have TOKEN_END or TOKEN_INVALID next? */
+ if (at == bt)
+ return APK_VERSION_EQUAL;
+- if (at < bt || bt == TOKEN_INVALID)
++
++ /* leading version components and their values are equal,
++ * now the non-terminating version is greater unless it's a suffix
++ * indicating pre-release */
++ if (at == TOKEN_SUFFIX && get_token(&at, &a) < 0)
++ return APK_VERSION_LESS;
++ if (bt == TOKEN_SUFFIX && get_token(&bt, &b) < 0)
+ return APK_VERSION_GREATER;
+- return APK_VERSION_LESS;
++ if (at == TOKEN_END)
++ return APK_VERSION_LESS;
++ if (bt == TOKEN_END)
++ return APK_VERSION_GREATER;
++
++ return APK_VERSION_EQUAL;
+ }
+
+ int apk_version_compare(const char *str1, const char *str2)
+--
+1.6.5
+
diff --git a/main/apk-tools/0001-version-index-output-to-stdout-instead-of-stderr.patch b/main/apk-tools/0001-version-index-output-to-stdout-instead-of-stderr.patch
deleted file mode 100644
index 31bfc9a368..0000000000
--- a/main/apk-tools/0001-version-index-output-to-stdout-instead-of-stderr.patch
+++ /dev/null
@@ -1,31 +0,0 @@
-From d3861d70a88c6d2d3583fb90946aedb48a8d3e46 Mon Sep 17 00:00:00 2001
-From: Timo Teras <timo.teras@iki.fi>
-Date: Fri, 4 Sep 2009 11:38:19 +0300
-Subject: [PATCH] version: --index output to stdout instead of stderr
-
----
- src/ver.c | 8 ++++----
- 1 files changed, 4 insertions(+), 4 deletions(-)
-
-diff --git a/src/ver.c b/src/ver.c
-index 3f85afc..a617bdb 100644
---- a/src/ver.c
-+++ b/src/ver.c
-@@ -31,10 +31,10 @@ static int ver_indexes(struct apk_database *db, int argc, char **argv)
- if (APK_BLOB_IS_NULL(repo->description))
- continue;
-
-- apk_message("%.*s [%s]",
-- repo->description.len,
-- repo->description.ptr,
-- db->repos[i].url);
-+ printf("%.*s [%s]\n",
-+ repo->description.len,
-+ repo->description.ptr,
-+ db->repos[i].url);
- }
-
- return 0;
---
-1.6.4.2
-
diff --git a/main/apk-tools/0002-db-fix-migration-and-pruning-of-symlinks-to-dirs.patch b/main/apk-tools/0002-db-fix-migration-and-pruning-of-symlinks-to-dirs.patch
new file mode 100644
index 0000000000..de2d313448
--- /dev/null
+++ b/main/apk-tools/0002-db-fix-migration-and-pruning-of-symlinks-to-dirs.patch
@@ -0,0 +1,62 @@
+From a7360395ea963334e80fb49d3fc36789d6f40685 Mon Sep 17 00:00:00 2001
+From: Timo Teras <timo.teras@iki.fi>
+Date: Mon, 26 Oct 2009 09:46:09 +0200
+Subject: [PATCH 2/2] db: fix migration and pruning of symlinks to dirs
+
+the old code treated a symlink to directory as file; it tried
+to calculate regular has of it. fix this by: 1) using no follow
+on migration and pruning stats, and 2) the helper function to
+check if it's point to directory and not calculate hash in that
+case. fixes #188.
+---
+ src/database.c | 6 ++++--
+ src/io.c | 2 +-
+ 2 files changed, 5 insertions(+), 3 deletions(-)
+
+diff --git a/src/database.c b/src/database.c
+index 16f8bb8..5b1d6bb 100644
+--- a/src/database.c
++++ b/src/database.c
+@@ -1810,7 +1810,7 @@ static void apk_db_purge_pkg(struct apk_database *db,
+ if (!(diri->dir->flags & APK_DBDIRF_PROTECTED) ||
+ (apk_flags & APK_PURGE) ||
+ (file->csum.type != APK_CHECKSUM_NONE &&
+- apk_file_get_info(db->root_fd, name, file->csum.type, &fi) == 0 &&
++ apk_file_get_info(db->root_fd, name, APK_FI_NOFOLLOW | file->csum.type, &fi) == 0 &&
+ apk_checksum_compare(&file->csum, &fi.csum) == 0))
+ unlinkat(db->root_fd, name, 0);
+ if (apk_verbosity >= 3)
+@@ -1868,6 +1868,7 @@ static void apk_db_migrate_files(struct apk_database *db,
+ if (ofile != NULL &&
+ (diri->dir->flags & APK_DBDIRF_PROTECTED))
+ cstype = ofile->csum.type;
++ cstype |= APK_FI_NOFOLLOW;
+
+ r = apk_file_get_info(db->root_fd, name, cstype, &fi);
+ if ((diri->dir->flags & APK_DBDIRF_PROTECTED) &&
+@@ -1882,7 +1883,8 @@ static void apk_db_migrate_files(struct apk_database *db,
+ * existing file */
+ if (ofile == NULL ||
+ ofile->csum.type != file->csum.type)
+- apk_file_get_info(db->root_fd, name, file->csum.type, &fi);
++ apk_file_get_info(db->root_fd, name,
++ APK_FI_NOFOLLOW | file->csum.type, &fi);
+ if ((apk_flags & APK_CLEAN_PROTECTED) ||
+ (file->csum.type != APK_CHECKSUM_NONE &&
+ apk_checksum_compare(&file->csum, &fi.csum) == 0))
+diff --git a/src/io.c b/src/io.c
+index 40590a2..3e292a7 100644
+--- a/src/io.c
++++ b/src/io.c
+@@ -487,7 +487,7 @@ int apk_file_get_info(int atfd, const char *filename, unsigned int flags,
+ .device = st.st_dev,
+ };
+
+- if (checksum == APK_CHECKSUM_NONE)
++ if (checksum == APK_CHECKSUM_NONE || S_ISDIR(st.st_mode))
+ return 0;
+
+ if ((flags & APK_FI_NOFOLLOW) && S_ISLNK(st.st_mode)) {
+--
+1.6.5
+
diff --git a/main/apk-tools/APKBUILD b/main/apk-tools/APKBUILD
index 7729b17163..18a60a5ee4 100644
--- a/main/apk-tools/APKBUILD
+++ b/main/apk-tools/APKBUILD
@@ -1,13 +1,14 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=apk-tools
-pkgver=2.0_rc5
-pkgrel=1
+pkgver=2.0_rc6
+pkgrel=0
pkgdesc="Alpine Package Keeper - package manager for alpine"
subpackages="$pkgname-static"
depends=
makedepends="zlib-dev openssl-dev pkgconfig"
source="http://git.alpinelinux.org/cgit/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2
- 0001-version-index-output-to-stdout-instead-of-stderr.patch
+ 0001-version-fix-comparision-of-pre-suffixes.patch
+ 0002-db-fix-migration-and-pruning-of-symlinks-to-dirs.patch
"
@@ -17,7 +18,10 @@ license=GPL-2
build() {
cd "$srcdir/$pkgname-$pkgver"
sed -i -e 's:-Werror::' Make.rules
- patch -p1 -i ../0001-version-index-output-to-stdout-instead-of-stderr.patch || return 1
+ for i in ../*.patch; do
+ [ -f $i ] || continue
+ patch -p1 -i $i || return 1
+ done
make || return 1
make static || return 1
@@ -38,5 +42,6 @@ static() {
"$subpkgdir"/sbin/apk.static
}
-md5sums="0d7507305586e2f4bcc4884cf6684977 apk-tools-2.0_rc5.tar.bz2
-5fafd1581c7d2bce26fc9531f4a128e7 0001-version-index-output-to-stdout-instead-of-stderr.patch"
+md5sums="0209128debe2791e2380198af4ef5676 apk-tools-2.0_rc6.tar.bz2
+3772c9db20a6d90d355fe89741dd5991 0001-version-fix-comparision-of-pre-suffixes.patch
+ff7be1c68ad27a69fbeeae7b9a548270 0002-db-fix-migration-and-pruning-of-symlinks-to-dirs.patch"
diff --git a/main/busybox/APKBUILD b/main/busybox/APKBUILD
index 4b69c827d7..f7e331bed2 100644
--- a/main/busybox/APKBUILD
+++ b/main/busybox/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=busybox
pkgver=1.15.2
-pkgrel=0
+pkgrel=1
pkgdesc="Size optimized toolbox of many common UNIX utilities"
url=http://busybox.net
license="GPL-2"
@@ -38,7 +38,8 @@ build() {
make silentoldconfig || return 1
make || return 1
make install DESTDIR="$pkgdir"
- mkdir -p "$pkgdir"/usr/sbin "$pkgdir"/usr/bin "$pkgdir"/tmp
+ mkdir -p "$pkgdir"/usr/sbin "$pkgdir"/usr/bin "$pkgdir"/tmp \
+ "$pkgdir"/var/cache/misc
chmod 1777 "$pkgdir"/tmp
# we need /bin/sh to be able to execute post-install
ln -s /bin/busybox "$pkgdir"/bin/sh
diff --git a/main/dansguardian/APKBUILD b/main/dansguardian/APKBUILD
index 47fd41688a..607cd53383 100644
--- a/main/dansguardian/APKBUILD
+++ b/main/dansguardian/APKBUILD
@@ -2,29 +2,29 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=dansguardian
pkgver=2.10.1.1
-pkgrel=4
+pkgrel=5
pkgdesc="Web content filter"
url="http://dansguardian.org"
license="GPL"
depends="logrotate"
-makedepends="zlib-dev uclibc++-dev pcre-dev pkgconfig libiconv-dev"
+makedepends="zlib-dev pcre-dev pkgconfig libiconv-dev"
install="$pkgname.pre-install $pkgname.post-install"
subpackages="$pkgname-doc"
source="http://dansguardian.org/downloads/2/Stable/$pkgname-$pkgver.tar.gz
dansguardian.initd
dansguardian.logrotate
ftp-credential.patch
+ dansguardian-2.10.1.1-gcc44.patch
"
build() {
cd "$srcdir/$pkgname-$pkgver"
patch -p1 -i ../ftp-credential.patch || return 1
+ patch -p1 -i ../dansguardian-2.10.1.1-gcc44.patch || return 1
# do not block "microsoft...clustimg=..." and similar
sed -e 's:\.\*:.{1,10}:g' configs/lists/bannedregexpurllist
- export CXX=${CXX_UC:-g++-uc}
-
./configure --prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
@@ -44,4 +44,5 @@ build() {
md5sums="0987a1c9bfbdf398118386f10279611a dansguardian-2.10.1.1.tar.gz
c307df7e0aba114cb6199bad48a0416a dansguardian.initd
85b6de01c9508e8ceff5ebb55752f8d3 dansguardian.logrotate
-475c46026e8553181d293d5a4feaf6d9 ftp-credential.patch"
+475c46026e8553181d293d5a4feaf6d9 ftp-credential.patch
+2c78b5c7346b8fcb3dee352e0c53cb5a dansguardian-2.10.1.1-gcc44.patch"
diff --git a/main/dansguardian/dansguardian-2.10.1.1-gcc44.patch b/main/dansguardian/dansguardian-2.10.1.1-gcc44.patch
new file mode 100644
index 0000000000..4ea4ff9ef6
--- /dev/null
+++ b/main/dansguardian/dansguardian-2.10.1.1-gcc44.patch
@@ -0,0 +1,37 @@
+diff -Nru dansguardian-2.10.1.1.orig/src/ConnectionHandler.cpp dansguardian-2.10.1.1/src/ConnectionHandler.cpp
+--- dansguardian-2.10.1.1.orig/src/ConnectionHandler.cpp 2009-02-25 12:36:22.000000000 +0100
++++ dansguardian-2.10.1.1/src/ConnectionHandler.cpp 2009-07-05 01:15:52.000000000 +0200
+@@ -44,6 +44,7 @@
+ #include <istream>
+
+ #ifdef ENABLE_ORIG_IP
++#include <limits.h>
+ #include <linux/types.h>
+ #include <linux/netfilter_ipv4.h>
+ #endif
+diff -Nru dansguardian-2.10.1.1.orig/src/downloadmanagers/fancy.cpp dansguardian-2.10.1.1/src/downloadmanagers/fancy.cpp
+--- dansguardian-2.10.1.1.orig/src/downloadmanagers/fancy.cpp 2008-11-18 12:27:04.000000000 +0100
++++ dansguardian-2.10.1.1/src/downloadmanagers/fancy.cpp 2009-07-05 01:15:12.000000000 +0200
+@@ -26,6 +26,7 @@
+ #include "../HTMLTemplate.hpp"
+ #include "../ConnectionHandler.hpp"
+
++#include <stdio.h>
+ #include <syslog.h>
+ #include <sys/time.h>
+ #include <sys/types.h>
+diff -Nru dansguardian-2.10.1.1.orig/src/String.cpp dansguardian-2.10.1.1/src/String.cpp
+--- dansguardian-2.10.1.1.orig/src/String.cpp 2009-01-16 11:44:28.000000000 +0100
++++ dansguardian-2.10.1.1/src/String.cpp 2009-07-05 01:15:12.000000000 +0200
+@@ -164,9 +164,9 @@
+ return 0;
+ off_t t = 0;
+ if (sizeof(off_t) == 4)
+- sscanf(this->c_str(), "%d", &t);
++ sscanf(this->c_str(), "%d", (long *)&t);
+ else if (sizeof(off_t) == 8)
+- sscanf(this->c_str(), "%lld", &t);
++ sscanf(this->c_str(), "%lld", (long long*)&t);
+ return t;
+ }
+
diff --git a/main/nmap/APKBUILD b/main/nmap/APKBUILD
index 363c2d47c7..e02f6e8c67 100644
--- a/main/nmap/APKBUILD
+++ b/main/nmap/APKBUILD
@@ -2,12 +2,12 @@
# Maintainer: Leonardo Arena <rnalrd@gmail.com>
pkgname=nmap
pkgver=5.00
-pkgrel=0
+pkgrel=1
pkgdesc="A network exploration tool and security/port scanner"
url="http:/nmap.org"
license="custom:GPL"
depends=
-makedepends="uclibc++-dev libpcap-dev openssl-dev lua-dev"
+makedepends="libpcap-dev openssl-dev lua-dev"
install=
subpackages="$pkgname-doc $pkgname-nse"
source="http://nmap.org/dist/$pkgname-$pkgver.tgz
@@ -22,7 +22,6 @@ build() {
patch -p1 < $i || return 1
done
- export CXX=${CXX_UC:-g++-uc}
./configure --prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \